CROSS := ppc-amigaos
CC    := $(CROSS)-gcc
STRIP := $(CROSS)-strip
RM    := rm -f

TARGET  := AutoRun
VERSION := 53

CFLAGS  := -O2 -g -Wall -Werror -Wwrite-strings
LDFLAGS := -static
LIBS    := 

SRCS := autorun.c

OBJS := $(SRCS:.c=.o)

.PHONY: all
all: $(TARGET)

autorun.o: $(TARGET)_rev.h

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) -o $@.debug $^ $(LIBS)
	$(STRIP) -R.comment -o $@ $@.debug

.PHONY: clean
clean:
	$(RM) $(TARGET) $(TARGET).debug $(OBJS)

.PHONY: revision
revision:
	bumprev $(VERSION) $(TARGET)

